Subject: Re: [PATCH net-next] Re: rib_trie / Fix inflate_threshold_root. Now=15 size=11 bits

From: Jarek Poplawski <[email-masked]>
Date: Wed, 15 Jul 2009 15:05:26 +0200

On Wed, Jul 15, 2009 at 09:43:11AM +0200, Robert Olsson wrote:
> 
> Jarek Poplawski writes:
> 
> 
> Looks good. Maybe we're getting close to some generic solution to take 
> a very optimistic approach wrt thresholds for root node and adjust to 
> settings without the warning. Or maybe now even remove warning totally
> with stata counter?

I guess, we could, but maybe let's wait a bit to make sure there is
nothing surprising?

> 
> Can we even consider some other different strategy for bumping up the root 
> node. 
> 
> We need all lookup performance we can get when we now try to route without 
> the route cache. And we probably need to evaluate the cost for the multiple 
> lookups again at least for LOCAL and MAIN when we talking routing well at 
> least straight-forward simple routing. (Semantic change)
> 
> I think I've got ~6.2 Gbit/s for simplex forwarding using traffic patterns 
> we see in/close to Internet core. This w/o route cache on our hi-end opterons
> with 8 CPU cores using niu and ixgbe. I'll test again and your patches when
> I'm back from vacation.
> 

Sure, I was mainly aiming at safe defaults (wrt. memory usage), but if
tests show there is a better strategy we should go for it.

Thanks,
Jarek P.